Loading...
Searching...
No Matches
Halide::Runtime::Internal::ScopedSpinLock Struct Reference

`#include <scoped_spin_lock.h>`

## Public Types

typedef char | AtomicFlag

## Public Member Functions

ALWAYS_INLINE | ScopedSpinLock (volatile AtomicFlag *flag)
ALWAYS_INLINE | ~ScopedSpinLock ()

## Public Attributes

volatile AtomicFlag *const | flag

## Detailed Description

Definition at line 9 of file scoped_spin_lock.h.

## Member Typedef Documentation

## AtomicFlag

typedef char Halide::Runtime::Internal::ScopedSpinLock::AtomicFlag

Definition at line 11 of file scoped_spin_lock.h.

## Constructor & Destructor Documentation

## ScopedSpinLock()

ALWAYS_INLINE Halide::Runtime::Internal::ScopedSpinLock::ScopedSpinLock | ( | volatile AtomicFlag * | flag | ) |

inline explicit

Definition at line 15 of file scoped_spin_lock.h.

References ALWAYS_INLINE, and flag.

## ~ScopedSpinLock()

ALWAYS_INLINE Halide::Runtime::Internal::ScopedSpinLock::~ScopedSpinLock | ( |  | ) |

inline

Definition at line 22 of file scoped_spin_lock.h.

References ALWAYS_INLINE, and flag.

## Member Data Documentation

## flag

volatile AtomicFlag* const Halide::Runtime::Internal::ScopedSpinLock::flag

Definition at line 13 of file scoped_spin_lock.h.

Referenced by ScopedSpinLock(), and ~ScopedSpinLock().

The documentation for this struct was generated from the following file:

- src/runtime/scoped_spin_lock.h